# Changelog
<!-- Autogenerated with go run tools/releases/changelog.go changelog.md -->

## [1.8.1]
> Released on 2022/10/07
* fix(tools): support both GitHub app tokens and PATs (backport #4869) by @mergify in https://github.com/kumahq/kuma/pull/4872
* fix(kuma-cp): remove Dataplane for Pod without IP (backport #4964) by @mergify in https://github.com/kumahq/kuma/pull/4980
* fix(*): do not override source address when TP is not enabled (backport #4951) by @mergify in https://github.com/kumahq/kuma/pull/4961
* fix(kuma-cp): deep copy tags when gen. outbounds (backport #5070) by @mergify in https://github.com/kumahq/kuma/pull/5071
* fix(gateway): add support for retryOn (backport #5091) by @mergify in https://github.com/kumahq/kuma/pull/5098

## [1.6.2]
> Released on 2022/10/06
* fix(core): validate both old and new objects on Update (backport #4589) by @michaelbeaumont in https://github.com/kumahq/kuma/pull/4593
* fix(kuma-cp): deep copy tags when gen. outbounds (backport #5070) by @mergify in https://github.com/kumahq/kuma/pull/5090
* fix(kuma-cp): remove Dataplane for Pod without IP (backport #4964) by @mergify in https://github.com/kumahq/kuma/pull/5097


## [1.7.2]
> Released on 2022/10/06
* fix(helm): always run Helm version update by @michaelbeaumont in https://github.com/kumahq/kuma/pull/4604
* chore(helm): update to 1.7.1 by @michaelbeaumont in https://github.com/kumahq/kuma/pull/4603
* Revert "fix(helm): always run Helm version update (#4604)" by @michaelbeaumont in https://github.com/kumahq/kuma/pull/4609
* fix(kuma-cp): deep copy tags when gen. outbounds (backport #5070) by @mergify in https://github.com/kumahq/kuma/pull/5072
* fix(kuma-cp): remove Dataplane for Pod without IP (backport #4964) by @mergify in https://github.com/kumahq/kuma/pull/5096


## [1.8.0]
> Released on 2022/08/22

### New features:

CNI v2 with lots of improvements:

* taint controller to prevent race condition [#4650](https://github.com/kumahq/kuma/pull/4650) @slonka
* all logs are easily accessible via `kubectl logs` command which greatly simplifies observability  [#4845](https://github.com/kumahq/kuma/pull/4845) @slonka
* it uses new transparent engine implemented in kuma-net [#4481](https://github.com/kumahq/kuma/pull/4481) @slonka

URL rewrite in Builtin Gateway:

* support URL rewriting [#4638](https://github.com/kumahq/kuma/pull/4638) @michaelbeaumont

Stats and Clusters in the GUI:

* execute stats and clusters from the control plane [#4557](https://github.com/kumahq/kuma/pull/4557) [#333](https://github.com/kumahq/kuma-gui/pull/333) @jakubdyszkiewicz

Extra `retryOn` options for Retry:

* add extra http retryOn options [#4744](https://github.com/kumahq/kuma/pull/4744) @johnharris85

Better support for TCP logging:

* resilient tcp TCP access log streamer [#4511](https://github.com/kumahq/kuma/pull/4511) @parkanzky [#4862](https://github.com/kumahq/kuma/pull/4862) @jakubdyszkiewicz

Filtering Envoy metrics:

* added option to define filter for Envoy metrics [#4503](https://github.com/kumahq/kuma/pull/4503) @lukidzi

Projected service account token:

* support for projected service account token [#4453](https://github.com/kumahq/kuma/pull/4453) @lukidzi

### Fixes:

#### Helm: 

* remove duplicate keys in resources [#4681](https://github.com/kumahq/kuma/pull/4681) @michaelbeaumont
* add containersecuritycontext to CNI daemonset [#4677](https://github.com/kumahq/kuma/pull/4677) @jakubdyszkiewicz
* fix extraConfigMap and cp labels [#4531](https://github.com/kumahq/kuma/pull/4531) @lahabana
* use image.global.registry for imageExperimental [#4641](https://github.com/kumahq/kuma/pull/4641) @jakubdyszkiewicz

#### Gateway: 

* `ListenerReason` for unresolved certificate refs, enable ReferenceGrant conformance tests [#4806](https://github.com/kumahq/kuma/pull/4806) @michaelbeaumont
* check hostname intersection between HTTPRoute and Gateway listener [#4537](https://github.com/kumahq/kuma/pull/4537) @michaelbeaumont
* create MeshGatewayInstance in same Mesh as Gateway [#4794](https://github.com/kumahq/kuma/pull/4794) @michaelbeaumont
* don't create invalid envoy config when routes and listeners don't match (backport #4837) [#4841](https://github.com/kumahq/kuma/pull/4841) @mergify
* hostname intersections, use new RouteReasons [#4544](https://github.com/kumahq/kuma/pull/4544) @michaelbeaumont
* improve HTTPRoute statuses with unresolved BackendRefs [#4635](https://github.com/kumahq/kuma/pull/4635) @michaelbeaumont
* npe without any timeout [#4548](https://github.com/kumahq/kuma/pull/4548) @michaelbeaumont
* rbac permissions for ReferenceGrant [#4628](https://github.com/kumahq/kuma/pull/4628) @michaelbeaumont
* workaround label value max length with hash [#4545](https://github.com/kumahq/kuma/pull/4545) @michaelbeaumont

#### Control Plane: 

* check if kuma annotation or label is set but ignore value  [#4731](https://github.com/kumahq/kuma/pull/4731) @lukidzi
* delete an empty TimeoutConfigurer [#4554](https://github.com/kumahq/kuma/pull/4554) @lobkovilya
* do not modify external service tags [#4591](https://github.com/kumahq/kuma/pull/4591) @jakubdyszkiewicz
* don't deploy Pod/Service webhooks in global [#4673](https://github.com/kumahq/kuma/pull/4673) @michaelbeaumont
* don't fail generation if other mesh CAs are misconfigured [#4501](https://github.com/kumahq/kuma/pull/4501) @michaelbeaumont
* external service datasource validation [#4652](https://github.com/kumahq/kuma/pull/4652) @jakubdyszkiewicz
* fix builtdns annotations for kubernetes [#4660](https://github.com/kumahq/kuma/pull/4660) @lahabana
* generate cluster name hash based on tags not config [#4598](https://github.com/kumahq/kuma/pull/4598) @lukidzi
* grant delete Pods in kuma-system namespace to control plane [#4571](https://github.com/kumahq/kuma/pull/4571) @michaelbeaumont
* localhost exposed application shouldn't be reachable [#4750](https://github.com/kumahq/kuma/pull/4750) @lukidzi
* make options for policies simpler [#4722](https://github.com/kumahq/kuma/pull/4722) @lahabana
* protect sort from empty locality [#4820](https://github.com/kumahq/kuma/pull/4820) @jakubdyszkiewicz
* registering dp on reconnect [#4647](https://github.com/kumahq/kuma/pull/4647) @jakubdyszkiewicz
* support GC service account [#4483](https://github.com/kumahq/kuma/pull/4483) @lobkovilya
* validate both old and new objects on Update [#4589](https://github.com/kumahq/kuma/pull/4589) @michaelbeaumont
* validation error with user tokens [#4507](https://github.com/kumahq/kuma/pull/4507) @jakubdyszkiewicz

#### Data Plane:

* access log path on windows when cp is on linux [#4518](https://github.com/kumahq/kuma/pull/4518) @jakubdyszkiewicz
* fix multi OS build of accesslogs [#4767](https://github.com/kumahq/kuma/pull/4767) @lahabana
* have envoy version check always work [#4564](https://github.com/kumahq/kuma/pull/4564) @lahabana
* propagate context for metrics aggregate [#4640](https://github.com/kumahq/kuma/pull/4640) @lukidzi
* set prometheus content-type when returning metrics [#4706](https://github.com/kumahq/kuma/pull/4706) @lukidzi

### Other:

* add operations now create non-existent path elements [#4595](https://github.com/kumahq/kuma/pull/4595) @michaelbeaumont

#### Docs:

* new policy matching proposal [#4474](https://github.com/kumahq/kuma/pull/4474) @lobkovilya

#### Other changes:

##### Gateway: 

* mention mesh name in gateway instance status [#4678](https://github.com/kumahq/kuma/pull/4678) @lahabana
* add listener connection limits  [#4755](https://github.com/kumahq/kuma/pull/4755) @michaelbeaumont
* add loadBalancerIP to MeshGatewayInstance [#4519](https://github.com/kumahq/kuma/pull/4519) @michaelbeaumont
* allow MeshGateway Dataplane Pods to bind privileged ports [#4535](https://github.com/kumahq/kuma/pull/4535) @michaelbeaumont
* configure overload_manager based on max memory [#4694](https://github.com/kumahq/kuma/pull/4694) @michaelbeaumont
* multi-zone cross-mesh MeshGateway [#4443](https://github.com/kumahq/kuma/pull/4443) @michaelbeaumont
* propagate x-kuma-tags from MeshGateways [#4476](https://github.com/kumahq/kuma/pull/4476) @michaelbeaumont
* send default static payload for empty gateway [#4617](https://github.com/kumahq/kuma/pull/4617) @tharun208
* set `path_with_escaped_slashes_action` [#4719](https://github.com/kumahq/kuma/pull/4719) @michaelbeaumont
* set cluster HTTP2 stream and connection window size [#4779](https://github.com/kumahq/kuma/pull/4779) @michaelbeaumont
* set cluster per_connection_buffer_limit_bytes [#4696](https://github.com/kumahq/kuma/pull/4696) @michaelbeaumont
* set global_downstream_max_connections to 50000 [#4724](https://github.com/kumahq/kuma/pull/4724) @michaelbeaumont
* update to Gateway API v0.5.0, support v1beta1 resources [#4599](https://github.com/kumahq/kuma/pull/4599) @michaelbeaumont
* validate listeners for collapsibility [#4765](https://github.com/kumahq/kuma/pull/4765) @michaelbeaumont
* add MeshGateway dashboard  [#4555](https://github.com/kumahq/kuma/pull/4555) @michaelbeaumont

##### Control Plane: 

* config cleanup (backport #4855) [#4857](https://github.com/kumahq/kuma/pull/4857) @mergify
* don't set deprecated dns_resolver_config [#4702](https://github.com/kumahq/kuma/pull/4702) @michaelbeaumont
* don't set deprecated known_suffixes [#4701](https://github.com/kumahq/kuma/pull/4701) @michaelbeaumont
* remove deprecated Cluster.Http2ProtocolOptions [#4528](https://github.com/kumahq/kuma/pull/4528) @michaelbeaumont
* remove versions_ws [#4512](https://github.com/kumahq/kuma/pull/4512) @lahabana
* replace deprecated admin_access_log_path [#4552](https://github.com/kumahq/kuma/pull/4552) @lahabana
* add /policies endpoint to list all registered policies [#4708](https://github.com/kumahq/kuma/pull/4708) @lahabana
* authenticate DP every time [#4685](https://github.com/kumahq/kuma/pull/4685) @jakubdyszkiewicz
* enrich policies endpoint [#4791](https://github.com/kumahq/kuma/pull/4791) @jakubdyszkiewicz
* identify gateway service by deployment [#4703](https://github.com/kumahq/kuma/pull/4703) @parkanzky
* separate CA for Envoy Admin communication [#4676](https://github.com/kumahq/kuma/pull/4676) @jakubdyszkiewicz
* use remote address for Gateway [#4530](https://github.com/kumahq/kuma/pull/4530) @jakubdyszkiewicz
* add operations now create non-existent path elements [#4595](https://github.com/kumahq/kuma/pull/4595) @michaelbeaumont

##### Data Plane: 

* remove envoy admin port flag [#4574](https://github.com/kumahq/kuma/pull/4574) @tharun208
* detect memory limit only on linux [#4715](https://github.com/kumahq/kuma/pull/4715) @jakubdyszkiewicz

##### kumactl: 

* add a limit to the prom TSDB size [#4651](https://github.com/kumahq/kuma/pull/4651) @lahabana
* remove old flags in install tp [#4760](https://github.com/kumahq/kuma/pull/4760) @lahabana
* add MeshGateway to `install demo` [#4679](https://github.com/kumahq/kuma/pull/4679) @michaelbeaumont
* add install control-plane --registry flag [#4533](https://github.com/kumahq/kuma/pull/4533) @michaelbeaumont

##### Documentation: 

* create MADR for MeshTrafficPermission [#4666](https://github.com/kumahq/kuma/pull/4666) @lobkovilya
* new policy matching proposal [#4474](https://github.com/kumahq/kuma/pull/4474) @lobkovilya
* policy matching, replace 'conf' with 'default' [#4693](https://github.com/kumahq/kuma/pull/4693) @lobkovilya

##### CNI: 

* add cni ebpf plugin [#4810](https://github.com/kumahq/kuma/pull/4810) @bartsmykla
* implement the cni plugin [#4481](https://github.com/kumahq/kuma/pull/4481) @slonka [#4618](https://github.com/kumahq/kuma/pull/4618) @slonka [#4613](https://github.com/kumahq/kuma/pull/4613) @slonka [#4850](https://github.com/kumahq/kuma/pull/4850) @mergify [#4642](https://github.com/kumahq/kuma/pull/4642) @slonka [#4788](https://github.com/kumahq/kuma/pull/4788) @slonka [#4858](https://github.com/kumahq/kuma/pull/4858) @mergify [#4826](https://github.com/kumahq/kuma/pull/4826) @slonka [#4695](https://github.com/kumahq/kuma/pull/4695) @slonka [#4846](https://github.com/kumahq/kuma/pull/4846) @mergify
* taint controller [#4852](https://github.com/kumahq/kuma/pull/4852) @jakubdyszkiewicz
* use our cni with calico [#4801](https://github.com/kumahq/kuma/pull/4801) @slonka

### Dependency updates:

* update demo to latest version [#4572](https://github.com/kumahq/kuma/pull/4572) @lahabana
* update Kuma GUI [#4815](https://github.com/kumahq/kuma/pull/4815) @kleinfreund [#4723](https://github.com/kumahq/kuma/pull/4723) @lahabana
* use github.com/emicklei/go-restful/v3 [#4665](https://github.com/kumahq/kuma/pull/4665) @mmorel-35
* bump alpine from 3.16.0 to 3.16.2 in /tools/releases/dockerfiles [#4670](https://github.com/kumahq/kuma/pull/4670) [#4827](https://github.com/kumahq/kuma/pull/4827) @dependabot
* bump github.com/containerd/cgroups from 1.0.3 to 1.0.4 [#4717](https://github.com/kumahq/kuma/pull/4717) @dependabot
* bump github.com/containernetworking/cni from 0.8.1 to 1.1.2 [#4632](https://github.com/kumahq/kuma/pull/4632) [#4716](https://github.com/kumahq/kuma/pull/4716) @dependabot
* bump github.com/golang-jwt/jwt/v4 from 4.4.1 to 4.4.2 [#4499](https://github.com/kumahq/kuma/pull/4499) @dependabot
* bump github.com/golang-migrate/migrate/v4 from 4.15.0 to 4.15.2 [#4672](https://github.com/kumahq/kuma/pull/4672) @dependabot
* bump github.com/gruntwork-io/terratest from 0.40.15 to 0.40.20 [#4469](https://github.com/kumahq/kuma/pull/4469)  [#4480](https://github.com/kumahq/kuma/pull/4480) @dependabot
* bump github.com/miekg/dns from 1.1.49 to 1.1.50 [#4492](https://github.com/kumahq/kuma/pull/4492) @dependabot
* bump github.com/onsi/gomega from 1.19.0 to 1.20.0 [#4671](https://github.com/kumahq/kuma/pull/4671) @dependabot
* bump github.com/prometheus/client_golang from 1.12.2 to 1.13.0 [#4783](https://github.com/kumahq/kuma/pull/4783) @dependabot
* bump github.com/prometheus/common from 0.34.0 to 0.37.0 [#4489](https://github.com/kumahq/kuma/pull/4489) [#4627](https://github.com/kumahq/kuma/pull/4627) @dependabot
* bump github.com/spf13/cobra from 1.4.0 to 1.5.0 [#4491](https://github.com/kumahq/kuma/pull/4491) @dependabot
* bump go.uber.org/zap from 1.21.0 to 1.22.0 [#4829](https://github.com/kumahq/kuma/pull/4829) @dependabot
* bump google.golang.org/grpc from 1.47.0 to 1.48.0 [#4631](https://github.com/kumahq/kuma/pull/4631) @dependabot
* bump google.golang.org/protobuf from 1.28.0 to 1.28.1 [#4718](https://github.com/kumahq/kuma/pull/4718) @dependabot
* bump k8s.io/apiextensions-apiserver from 0.24.0 to 0.24.3 [#4493](https://github.com/kumahq/kuma/pull/4493) [#4624](https://github.com/kumahq/kuma/pull/4624) @dependabot
* bump sigs.k8s.io/controller-runtime from 0.12.1 to 0.12.3 [#4498](https://github.com/kumahq/kuma/pull/4498) [#4581](https://github.com/kumahq/kuma/pull/4581) @dependabot
* bump sigs.k8s.io/controller-tools from 0.9.0 to 0.9.2 [#4549](https://github.com/kumahq/kuma/pull/4549) @dependabot

## [1.7.1]
> Released on 2022/07/13

### Fixes

#### Gateway

* Nil pinter exception without any timeout (#4550)
* Use remote address for Gateway (#4538)

#### kumactl

* Update demo to latest version (#4587)

#### Control plane

* Grant delete Pods in kuma-system namespace to control plane (#4575)
* Don't fail generation if other mesh CAs are misconfigured (#4517)
* Don't override timeout values for ExternalServices (#4568)

#### Data plane proxy

* Access log path on windows when cp is on linux (#4518)

#### Helm

* Fix extraConfigMap and cp labels (#4541)

#### General

* Avoid `-<arch>` in version of the binaries (#4527)

## [1.7.0]
> Released on 2022/06/13

### New features:

Cross Mesh Communication:
* add cross-mesh `MeshGateway` listeners [#4274](https://github.com/kumahq/kuma/pull/4274)[#4405](https://github.com/kumahq/kuma/pull/4405) @michaelbeaumont

ContainerPatch:
* allow custom configuration of Kubernetes' `kuma-init` and `kuma-sidecar` containers by introducing `ContainerPatch` CRD [#4280](https://github.com/kumahq/kuma/pull/4280) [#4362](https://github.com/kumahq/kuma/pull/4362) / [#4366](https://github.com/kumahq/kuma/pull/4366) [#4369](https://github.com/kumahq/kuma/pull/4369) / [#4370](https://github.com/kumahq/kuma/pull/4370) @parkanzky, @bartsmykla

Observability:
* hijack application metrics to enable scraping metrics from mTLSed applications without prometheus in the mesh [#4286](https://github.com/kumahq/kuma/pull/4286) [#4388](https://github.com/kumahq/kuma/pull/4388)/[#4406](https://github.com/kumahq/kuma/pull/4406) @lukidzi
* unified installation of `metrics/logging/tracing` into one command `observability` [#4308](https://github.com/kumahq/kuma/pull/4308) [#4411](https://github.com/kumahq/kuma/pull/4411)/[#4418](https://github.com/kumahq/kuma/pull/4418) @lukidzi, @lahabana

ARM64 support:
* added arm build and release pipeline [#4231](https://github.com/kumahq/kuma/pull/4231) @lukidzi
* release for arm64 now publish correct arch image [#4276](https://github.com/kumahq/kuma/pull/4276) @lukidzi
* upgrade kubectl to version with ARM support [#4180](https://github.com/kumahq/kuma/pull/4180) @lukidzi
* support ARM Linux/Darwin for dev/tools [#4199](https://github.com/kumahq/kuma/pull/4199) @lukidzi
* introduced map of arch for a specific build [#4321](https://github.com/kumahq/kuma/pull/4321) @lukidzi
* do not exclude arm64 files from docker [#4265](https://github.com/kumahq/kuma/pull/4265) @lukidzi

Gateway:
* add `GatewayClass.Spec.ParametersRef` support [#4157](https://github.com/kumahq/kuma/pull/4157) @michaelbeaumont
* cp annotations from gateway to svc [#4327](https://github.com/kumahq/kuma/pull/4327) @johnharris85
* only reconcile Gateway when GatewayClass is Ready [#4162](https://github.com/kumahq/kuma/pull/4162) @michaelbeaumont
* auto generate hostname for crossMesh listeners [#4421](https://github.com/kumahq/kuma/pull/4421)/[#4424](https://github.com/kumahq/kuma/pull/4424) @michaelbeaumont

Helm:
* set host network var in helm/cp-deployment.yaml [#4209](https://github.com/kumahq/kuma/pull/4209) @SallyBlichWalkMe
* add resource management for jobs [#4254](https://github.com/kumahq/kuma/pull/4254) @gdasson
* option for automountSAT=false on cp [#4309](https://github.com/kumahq/kuma/pull/4309) @gdasson
* helm chart improvements [#4337](https://github.com/kumahq/kuma/pull/4337) @bartsmykla

CP:
* experimental transparent proxy annotation [#4240](https://github.com/kumahq/kuma/pull/4240) @parkanzky
* graceful shutdown on Universal using HDS [#4246](https://github.com/kumahq/kuma/pull/4246) @jakubdyszkiewicz
* intercept signal for different platforms [#4283](https://github.com/kumahq/kuma/pull/4283) @jakubdyszkiewicz
* XDS config dump on Global CP [#4301](https://github.com/kumahq/kuma/pull/4301) @jakubdyszkiewicz
* validate DP compat on kuma backend [#4236](https://github.com/kumahq/kuma/pull/4236) @parkanzky

DP:
* graceful shutdown of kuma-dp [#4229](https://github.com/kumahq/kuma/pull/4229) @jakubdyszkiewicz

### Fixes:

Gateway:
* use MeshGatewayInstance mesh annotation when matching [#4361](https://github.com/kumahq/kuma/pull/4361)/[#4371](https://github.com/kumahq/kuma/pull/4371) @michaelbeaumont

Helm:
* remove replica from cp-deployment.yaml when autoscaling enabled [#4447](https://github.com/kumahq/kuma/pull/4447)/[#4454](https://github.com/kumahq/kuma/pull/4454) @gustoliv

CP:
* fix '/config_dump' request if Global CP is on Kubernetes [#4363](https://github.com/kumahq/kuma/pull/4363)/[#4372](https://github.com/kumahq/kuma/pull/4372) @lobkovilya
* add the latest version to compatibility matrix [#4232](https://github.com/kumahq/kuma/pull/4232) @parkanzky

DP:
* clarify error log message when kuma-dp is wrongly connecting to global-cp [#4269](https://github.com/kumahq/kuma/pull/4269) @slonka

Kumactl:
* fix transparent proxy --skip-conntrack-zone-split flag value [#4334](https://github.com/kumahq/kuma/pull/4334) @bartsmykla

### Other notable changes:

Gateway:
* add /finalizers permission for OwnerReferencesPermissionEnforcement plugin [#4239](https://github.com/kumahq/kuma/pull/4239) @michaelbeaumont
* don't match on ALPN in gateway (#4198) [#4272](https://github.com/kumahq/kuma/pull/4272) @wjrbetts

Helm:
* delete 'kubernetes.io/arch' node selector [#4335](https://github.com/kumahq/kuma/pull/4335) @lobkovilya

CP:
* don't always recompute mesh contexts [#4267](https://github.com/kumahq/kuma/pull/4267) @michaelbeaumont
* don't run dataplane gc in global [#4184](https://github.com/kumahq/kuma/pull/4184) @lahabana
* graceful components [#4277](https://github.com/kumahq/kuma/pull/4277) @jakubdyszkiewicz
* memory store cannot delete a parent [#4194](https://github.com/kumahq/kuma/pull/4194) @jakubdyszkiewicz
* protocol check should be case-insensitive [#4248](https://github.com/kumahq/kuma/pull/4248) @lukidzi
* remove dns server from control plane [#4192](https://github.com/kumahq/kuma/pull/4192) @lahabana
* automatically detect dns lookup family for cp cluster [#4275](https://github.com/kumahq/kuma/pull/4275) @slonka

ZoneIngress:
* graceful start of many ZoneIngresses [#4305](https://github.com/kumahq/kuma/pull/4305) @jakubdyszkiewicz

ZoneEgress:
* resolve zone-ingress advertized address [#4219](https://github.com/kumahq/kuma/pull/4219) @lahabana
* do not change ip to ZoneEgress address [#4193](https://github.com/kumahq/kuma/pull/4193) @lukidzi

Kumactl:
* remove flag '--experimental-meshgateway' [#4315](https://github.com/kumahq/kuma/pull/4315) @lobkovilya

Timeout Policy:
* deprecate 'timeout.grpc' section [#4365](https://github.com/kumahq/kuma/pull/4365)/[#4449](https://github.com/kumahq/kuma/pull/4449) @lobkovilya

Other:
* delete dns-server 5653 port from configuration and helm files [#4339](https://github.com/kumahq/kuma/pull/4339)/[#4345](https://github.com/kumahq/kuma/pull/4345) @lobkovilya
* support kube-linter tools to analyze Kubernetes YAML files [#4294](https://github.com/kumahq/kuma/pull/4294) @mangoGoForward

### Dependency upgrades:

* upgrade envoy to 1.22.1 [#4288](https://github.com/kumahq/kuma/pull/4288) [#4464](https://github.com/kumahq/kuma/pull/4464)/[#4465](https://github.com/kumahq/kuma/pull/4465) @lobkovilya
* upgrade kuma-cni to 0.0.10 [#4313](https://github.com/kumahq/kuma/pull/4313) @lobkovilya
* upgrade tproxy iptables to v0.2.2 [#4328](https://github.com/kumahq/kuma/pull/4328) @bartsmykla
* upgrade GUI to the latest version [#4316](https://github.com/kumahq/kuma/pull/4316) [#4338](https://github.com/kumahq/kuma/pull/4338) [#4389](https://github.com/kumahq/kuma/pull/4389)/[#4390](https://github.com/kumahq/kuma/pull/4390) @jakubdyszkiewicz, @lahabana, @bartsmykla
* upgrade protoc and regenerate files [#4169](https://github.com/kumahq/kuma/pull/4169) @lukidzi
* bump github.com/golang-migrate/migrate/v4 from 4.15.1 to 4.15.2 [#4234](https://github.com/kumahq/kuma/pull/4234) @dependabot
* bump github.com/gruntwork-io/terratest from 0.40.6 to 0.40.10 [#4178](https://github.com/kumahq/kuma/pull/4178) [#4260](https://github.com/kumahq/kuma/pull/4260) [#4322](https://github.com/kumahq/kuma/pull/4322) @dependabot
* bump github.com/lib/pq from 1.10.5 to 1.10.6 [#4299](https://github.com/kumahq/kuma/pull/4299) @dependabot
* bump github.com/miekg/dns from 1.1.48 to 1.1.49 [#4291](https://github.com/kumahq/kuma/pull/4291) @dependabot
* bump github.com/onsi/ginkgo/v2 from 2.1.3 to 2.1.4 [#4233](https://github.com/kumahq/kuma/pull/4233) @dependabot
* bump github.com/prometheus/client_golang from 1.12.1 to 1.12.2 [#4290](https://github.com/kumahq/kuma/pull/4290) @dependabot
* bump github.com/prometheus/common from 0.33.0 to 0.34.0 [#4235](https://github.com/kumahq/kuma/pull/4235) @dependabot
* bump github.com/spf13/viper from 1.10.0 to 1.11.0 [#4177](https://github.com/kumahq/kuma/pull/4177) @dependabot
* bump google.golang.org/grpc from 1.45.0 to 1.46.2 [#4213](https://github.com/kumahq/kuma/pull/4213) [#4289](https://github.com/kumahq/kuma/pull/4289) @dependabot
* bump k8s.io/apiextensions-apiserver from 0.23.5 to 0.24.0 [#4216](https://github.com/kumahq/kuma/pull/4216) @dependabot [#4302](https://github.com/kumahq/kuma/pull/4302)/[#4378](https://github.com/kumahq/kuma/pull/4378)
* bump sigs.k8s.io/controller-runtime from 0.11.2 to 0.12.1 [#4302](https://github.com/kumahq/kuma/pull/4302)/[#4378](https://github.com/kumahq/kuma/pull/4378) @dependabot

### Other:

* automate policy generation [#4197](https://github.com/kumahq/kuma/pull/4197) @lobkovilya

## [1.5.2]
> Released on 2022/06/10

### Dependency upgrades:

* upgrade envoy to 1.21.3 [#4456](https://github.com/kumahq/kuma/pull/4456) @lobkovilya

## [1.6.1]
> Released on 2022/06/10

### Fixes:

CP:
* do not change ip to ZoneEgress address (backport #4193) [#4195](https://github.com/kumahq/kuma/pull/4195)
* memory store cannot delete a parent (backport #4194) [#4196](https://github.com/kumahq/kuma/pull/4196)

### Dependency upgrades:

* upgrade envoy to 1.21.3 [#4457](https://github.com/kumahq/kuma/pull/4457) @lobkovilya

## [1.6.0]
> Released on 2022/04/11


### New features:

Gateway:
* release K8s GatewayAPI as preview [4072](https://github.com/kumahq/kuma/pull/4072) [4022](https://github.com/kumahq/kuma/pull/4022) [4045](https://github.com/kumahq/kuma/pull/4045) [4014](https://github.com/kumahq/kuma/pull/4014) [3956](https://github.com/kumahq/kuma/pull/3956) @jakubdyszkiewicz,@michaelbeaumont
* use MeshGatewayInstance name for generated objects [4097](https://github.com/kumahq/kuma/pull/4097) @michaelbeaumont

Inspect api:
* add gateways to policy inspect [4125](https://github.com/kumahq/kuma/pull/4125) [4104](https://github.com/kumahq/kuma/pull/4104) [4092](https://github.com/kumahq/kuma/pull/4092) [4088](https://github.com/kumahq/kuma/pull/4088) [4077](https://github.com/kumahq/kuma/pull/4077) [4064](https://github.com/kumahq/kuma/pull/4064) [4065](https://github.com/kumahq/kuma/pull/4065) [3973](https://github.com/kumahq/kuma/pull/3973) [3966](https://github.com/kumahq/kuma/pull/3966) @michaelbeaumont

ZoneEgress:
* Make zoneegress available in standalone mode [4100](https://github.com/kumahq/kuma/pull/4100) @lahabana
* added locality aware lb for external service [4048](https://github.com/kumahq/kuma/pull/4048) @lukidzi
* make zoneegress routing opt-in [4109](https://github.com/kumahq/kuma/pull/4109) [4013](https://github.com/kumahq/kuma/pull/4013) @lukidzi
* support RateLimit and FaultInjections [4000](https://github.com/kumahq/kuma/pull/4000) @lobkovilya

Helm:
* Allow customization of image tags in Helm chart [4068](https://github.com/kumahq/kuma/pull/4068) @gdasson
* Expose kuma-cp's metric port so it can be scraped by self-deployed prometheus. [4047](https://github.com/kumahq/kuma/pull/4047) @jbehrends
* add resource limits option for control plane deployment [4049](https://github.com/kumahq/kuma/pull/4049) @gdasson
* fail if global.image.tag and appVersion incompatible [4085](https://github.com/kumahq/kuma/pull/4085) @michaelbeaumont
* set version to track appVersion [4083](https://github.com/kumahq/kuma/pull/4083) @michaelbeaumont
* expose kuma-cp gui through ingress [4101](https://github.com/kumahq/kuma/pull/4101) @lukidzi
* allow specifying security context [4153](https://github.com/kumahq/kuma/pull/4153) @gdasson @bartsmykla

Other:
* feat(k8s): ability to set custom service account token volume [4036](https://github.com/kumahq/kuma/pull/4036) @johnharris85
* feat(k8s): shutdown kuma-dp container for any owner kind [4079](https://github.com/kumahq/kuma/pull/4079) @lukidzi
* feat(k8s): support startupProbes [4090](https://github.com/kumahq/kuma/pull/4090) @lahabana
* feat(kuma-cp): add uptime, policies, gateway dps to reports [3933](https://github.com/kumahq/kuma/pull/3933) @parkanzky
* feat(kuma-cp): add metrics and timeouts to CA interface [4089](https://github.com/kumahq/kuma/pull/4089) @parkanzky
* feat(kumactl): add --values and --set to kumactl install control-plane [4086](https://github.com/kumahq/kuma/pull/4086) @lahabana
* feat(transparent-proxy): add experimental tproxy iptables generation [4114](https://github.com/kumahq/kuma/pull/4114) @bartsmykla

### Dependency upgrades:

* bump alpine from 3.15.0 to 3.15.2 in /tools/releases/dockerfiles [4060](https://github.com/kumahq/kuma/pull/4060) [4023](https://github.com/kumahq/kuma/pull/4023) @dependabot
* bump github.com/envoyproxy/protoc-gen-validate from 0.6.3 to 0.6.7 [3978](https://github.com/kumahq/kuma/pull/3978) [3976](https://github.com/kumahq/kuma/pull/3976) @dependabot
* bump github.com/go-logr/logr from 1.2.2 to 1.2.3 [4040](https://github.com/kumahq/kuma/pull/4040) @dependabot
* bump github.com/golang-jwt/jwt/v4 from 4.3.0 to 4.4.1 [4061](https://github.com/kumahq/kuma/pull/4061) [4025](https://github.com/kumahq/kuma/pull/4025) @dependabot
* bump github.com/k8s/* from 0.23.4 to 0.23.5 [4043](https://github.com/kumahq/kuma/pull/4043) @lahabana
* bump github.com/miekg/dns from 1.1.46 to 1.1.47 [3998](https://github.com/kumahq/kuma/pull/3998) @dependabot
* bump github.com/onsi/gomega from 1.18.1 to 1.19.0 [4062](https://github.com/kumahq/kuma/pull/4062) @dependabot
* bump github.com/spf13/cobra from 1.3.0 to 1.4.0 [3995](https://github.com/kumahq/kuma/pull/3995) @dependabot
* bump go.uber.org/multierr from 1.7.0 to 1.8.0 [3974](https://github.com/kumahq/kuma/pull/3974) @dependabot
* bump google.golang.org/grpc from 1.44.0 to 1.45.0 [3993](https://github.com/kumahq/kuma/pull/3993) @dependabot
* bump google.golang.org/protobuf from 1.27.1 to 1.28.0 [4046](https://github.com/kumahq/kuma/pull/4046) @dependabot
* bump helm.sh/helm/v3 from 3.8.0 to 3.8.1 [3994](https://github.com/kumahq/kuma/pull/3994) @dependabot
* bump sigs.k8s.io/gateway-api from 0.4.1 to 0.4.2 [3997](https://github.com/kumahq/kuma/pull/3997) @dependabot
* remove dependency on spire [4044](https://github.com/kumahq/kuma/pull/4044) @lahabana

### Other notable changes:

* chore(k8s): replace cni registry [4070](https://github.com/kumahq/kuma/pull/4070) @lobkovilya
* chore(k8s): use appProtocol from service by default [4015](https://github.com/kumahq/kuma/pull/4015) @jakubdyszkiewicz
* chore(kuma-dp): cleanup bootstrap version field [3670](https://github.com/kumahq/kuma/pull/3670) @tharun208
* fix(gateway): fix status updating in MeshGatewayInstance reconciliation [4051](https://github.com/kumahq/kuma/pull/4051) @michaelbeaumont
* fix(gateway): gateway instance service reconciliation loops forever [4035](https://github.com/kumahq/kuma/pull/4035) @jakubdyszkiewicz
* fix(gateway): gateway reconciliation loops forever [4034](https://github.com/kumahq/kuma/pull/4034) @jakubdyszkiewicz
* fix(gateway): gateway tls listeners without hostnames [4093](https://github.com/kumahq/kuma/pull/4093) @jakubdyszkiewicz
* fix(gateway): ignore non TCP protocol for provided gateway [4067](https://github.com/kumahq/kuma/pull/4067) @lahabana
* fix(gateway): mesh gateway instance service target port [4071](https://github.com/kumahq/kuma/pull/4071) @jakubdyszkiewicz
* fix(gateway): skip creating MeshGateways without proper attachment [4011](https://github.com/kumahq/kuma/pull/4011) @jakubdyszkiewicz
* fix(helm): add prefix to `app` label in ingress/egress deployment [4123](https://github.com/kumahq/kuma/pull/4123) @lahabana
* fix(helm): fix other template prefix in ingress/egress [4124](https://github.com/kumahq/kuma/pull/4124) @lahabana
* fix(helm): remove wildcard rbac version [4148](https://github.com/kumahq/kuma/pull/4148) @johnharris85
* fix(k8s): reconcile serviceMaps when using mesh namespace annotation [3815](https://github.com/kumahq/kuma/pull/3815) @lahabana
* fix(kuma-cp): avoid generating excessive envoy clusters [3984](https://github.com/kumahq/kuma/pull/3984) @lobkovilya
* fix(kuma-cp): default policy creation [4073](https://github.com/kumahq/kuma/pull/4073) @lobkovilya
* fix(kuma-cp): guard the nil version in metadata [3969](https://github.com/kumahq/kuma/pull/3969) @jakubdyszkiewicz
* fix(kuma-cp): provide better message when running with an in-memory database [3982](https://github.com/kumahq/kuma/pull/3982) @lukidzi
* fix(kuma-dp): better error message when the token is invalid [3961](https://github.com/kumahq/kuma/pull/3961) @lahabana
* fix(kumactl): add mesh flag to only commands that uses it [3788](https://github.com/kumahq/kuma/pull/3788) @tharun208
* fix(kumactl): split yaml correctly in `kumactl apply` [4107](https://github.com/kumahq/kuma/pull/4107) @lahabana
* fix(proxytemplate): avoid validation error [3937](https://github.com/kumahq/kuma/pull/3937) @marcoferrer
* fix(proxytemplate): execute hooks before proxy template modifications [4055](https://github.com/kumahq/kuma/pull/4055) @jakubdyszkiewicz
* perf(k8s): move outbounds from Dataplane to Config [3986](https://github.com/kumahq/kuma/pull/3986) @jakubdyszkiewicz


## [1.5.1]
> Released on 2022/04/06

* chore(k8s): replace cni registry (backport #4070) [4076](https://github.com/kumahq/kuma/pull/4076)
* fix(kuma-cp): default policy creation (backport #4073) [4080](https://github.com/kumahq/kuma/pull/4080)
* fix(kuma-cp): guard the nil version in metadata (backport #3969) [3970](https://github.com/kumahq/kuma/pull/3970)

## [1.5.0]
> Released on 2022/02/23

* feat(*): zone egress [#3809](https://github.com//kumahq/kuma/pull/3809) [#3757](https://github.com//kumahq/kuma/pull/3757)
* feat(kuma-cp) data plane proxy membership [#3619](https://github.com//kumahq/kuma/pull/3619)
* feat(kuma-cp): reachable services in transparent proxying [#3791](https://github.com//kumahq/kuma/pull/3791)
* feat(inspect-api): retrieve full XDS config [#3768](https://github.com//kumahq/kuma/pull/3768)
* feat(*): inspect api support [#3805](https://github.com//kumahq/kuma/pull/3805) [#3568](https://github.com//kumahq/kuma/pull/3568) [#3462](https://github.com//kumahq/kuma/pull/3462)
* feat(kuma-cp): add proxytemplate to matched policies for inspect poli… [#3786](https://github.com//kumahq/kuma/pull/3786) 👍contributed by @tharun208
* feat(kuma-cp): enable traffic route for inspect endpoints [#3735](https://github.com//kumahq/kuma/pull/3735) 👍contributed by @tharun208
* feat(*): move adminPort to DPP resource [#3739](https://github.com//kumahq/kuma/pull/3739)
* feat(helm): add imagePullSecrets support [#3755](https://github.com//kumahq/kuma/pull/3755) 👍contributed by @johnharris85
* feat(*): enable Gateway with runtime flag [#3736](https://github.com//kumahq/kuma/pull/3736)
* feat(kumactl): add --api-timeout flag [#3723](https://github.com//kumahq/kuma/pull/3723)
* feat: allow for ca/identity secrets for every mesh [#3696](https://github.com//kumahq/kuma/pull/3696)
* feat(kuma-cp): allow extra cm in kuma cp chart [#3671](https://github.com//kumahq/kuma/pull/3671) 👍contributed by @wjrbetts
* feat(kuma-cp): add gui link in index api response [#3675](https://github.com//kumahq/kuma/pull/3675) 👍contributed by @tharun208
* feat(*): allow ca.crt to be in separate k8s secret [#3638](https://github.com//kumahq/kuma/pull/3638)
* feat(kumactl): add type of logging and tracing backends with name in table output [#3636](https://github.com//kumahq/kuma/pull/3636) 👍contributed by @tharun208
* feat(kuma-cp): enable client side gRPC keepalive [#3574](https://github.com//kumahq/kuma/pull/3574)
* feat(gui): new onboarding view [kumahq/kuma-gui#194](https://github.com/kumahq/kuma-gui/pull/194)
* feat(gui): link to documentation from policy view [kumahq/kuma-gui#289](https://github.com/kumahq/kuma-gui/pull/289)

* fix(kuma-cp): do not update unchanged insights [#3819](https://github.com//kumahq/kuma/pull/3819)
* fix(*): do not annotate gateway services with ingress upstream [#3816](https://github.com//kumahq/kuma/pull/3816)
* fix(*): properly escape DB password when creating postgres connection string [#3804](https://github.com//kumahq/kuma/pull/3804)
* fix(kuma-cp): fix missing label sidecar injection [#3740](https://github.com//kumahq/kuma/pull/3740)
* fix(kuma-dp): fix conntrack collisions  [#3459](https://github.com//kumahq/kuma/pull/3459) 👍contributed by @johnharris85
* fix(conf): remove invalid health check fields from example [#3697](https://github.com//kumahq/kuma/pull/3697) 👍contributed by @tharun208
* fix(kuma-dp): binary lookup function skips not available directories [#3667](https://github.com//kumahq/kuma/pull/3667)
* fix(k8s): make sure controllers start after leader election [#3666](https://github.com//kumahq/kuma/pull/3666)
* fix(build): fix gomega matchers for inspect resources command test [#3660](https://github.com//kumahq/kuma/pull/3660) [#3651](https://github.com//kumahq/kuma/pull/3651) 👍contributed by @tharun208
* fix(kumactl): ignore any unregistered CRDs, not only from the root chart [#3643](https://github.com//kumahq/kuma/pull/3643)
* fix(kumactl): print meta before spec for Kuma resources [#3637](https://github.com//kumahq/kuma/pull/3637)
* fix(kuma-cp): add cp selector to global sync service [#3579](https://github.com//kumahq/kuma/pull/3579)
* fix(kuma-cp) do not override other dataplane with dp lifecycle [#3507](https://github.com//kumahq/kuma/pull/3507)
* fix(helm) Add support to customize nodeport [#1944](https://github.com//kumahq/kuma/pull/1944) 👍contributed by @bhiravabhatla

* perf(kuma-cp): use mesh snapshot in proxy builder [#3700](https://github.com//kumahq/kuma/pull/3700)
* perf(kuma-cp): use mesh snapshot in gateway [#3710](https://github.com//kumahq/kuma/pull/3710)
* perf(kuma-cp): share mesh context [#3659](https://github.com//kumahq/kuma/pull/3659)

* improvement(metadata): include name of annotation to parse error message [#3677](https://github.com//kumahq/kuma/pull/3677) 👍contributed by @ChinYing-Li
* refactor(insights): delete method GetLatestSubscription for insights [#3656](https://github.com//kumahq/kuma/pull/3656) 👍contributed by @tharun208
* refactor(kuma-cp): unify mesh determination for k8s objects [#3708](https://github.com//kumahq/kuma/pull/3708)
* refactor(*): replace ensureDefaultXXX functions with a single generic function [#3662](https://github.com//kumahq/kuma/pull/3662) 👍contributed by @tharun208
* chore(zone-ingress): delete deprecated env KUMA_DATAPLANE_ADMIN_PORT [#3766](https://github.com//kumahq/kuma/pull/3766)
* chore(k8s): remove GetBool method and use GetEnabled [#3698](https://github.com//kumahq/kuma/pull/3698) 👍contributed by @tharun208
* chore(*): generate CRD types [#3453](https://github.com//kumahq/kuma/pull/3453)
* chore(dataplane)!: disallow using 0.0.0.0 in networking.address for dp [#3691](https://github.com//kumahq/kuma/pull/3691)
* chore(kuma-cp): consolidate mesh defaults creation [#3678](https://github.com//kumahq/kuma/pull/3678)
* chore(config): remove ability to disable insights [#3501](https://github.com//kumahq/kuma/pull/3501)
* chore(*): remove old Ingress [#3435](https://github.com//kumahq/kuma/pull/3435)
* chore(*): upgrade Envoy to v1.21.1 [#3909](https://github.com//kumahq/kuma/pull/3909)
* chore(grafana): update to latest grafana plugin version [#3812](https://github.com//kumahq/kuma/pull/3812)
* ci(*): release on every commit in master and release branches [#3712](https://github.com//kumahq/kuma/pull/3712)

## [1.4.1]
> Released on 2021/12/15

* feat: add kubernetes tags automatically [#3439](https://github.com//kumahq/kuma/pull/3439)
* perf: update Mesh and ServiceInsights only when really needed [#3463](https://github.com//kumahq/kuma/pull/3463)
* perf: eliminate uneccessary JSON marshalling [#3483](https://github.com//kumahq/kuma/pull/3483)
* feat: sidecar injection webhook based on labels [#3417](https://github.com//kumahq/kuma/pull/3417)
* chore: upgrade gui to new version [#3454](https://github.com//kumahq/kuma/pull/3454)
* test: fix postgress tests permissions [#3443](https://github.com//kumahq/kuma/pull/3443)
* feat: add affinity to CP and Ingress pods [#3036](https://github.com//kumahq/kuma/pull/3036)
  👍contributed by @andrey-dubnik
* chore: bump github.com/golang-jwt/jwt/v4 from 4.1.0 to 4.2.0 [#3432](https://github.com//kumahq/kuma/pull/3432)
* feat: consolidate tokens logic to support expiration, rotation, revocation and RSA256 [#3376](https://github.com/kumahq/kuma/pull/3376)
* fix: simplify cluster creation with endpoints [#3403](https://github.com//kumahq/kuma/pull/3403)
* fix: enable metrics hijacker for current version of Kuma [#3405](https://github.com//kumahq/kuma/pull/3405)
* fix: switch to mTLS when CP communicates with Envoy Admin [#3353](https://github.com//kumahq/kuma/pull/3353)
* chore: bump github.com/spiffe/spire from 0.12.3 to 1.1.1 [#3388](https://github.com//kumahq/kuma/pull/3388)
* chore: bump github.com/spf13/viper from 1.8.1 to 1.9.0 [#3389](https://github.com//kumahq/kuma/pull/3389)
* fix: validate cp url in dp conf [#3357](https://github.com//kumahq/kuma/pull/3357)
* chore: send reports to tls endpoint [#3361](https://github.com//kumahq/kuma/pull/3361)
* chore: check explicit service account name [#3228](https://github.com//kumahq/kuma/pull/3228)
* feat: inspect other dependencies versions [#3352](https://github.com//kumahq/kuma/pull/3352)
* chore: add area/gateway label [#3263](https://github.com//kumahq/kuma/pull/3263)
* chore: remove dp token from xds metadata [#3282](https://github.com//kumahq/kuma/pull/3282)
* refactor: move from io/ioutil to io and os packages [#3265](https://github.com//kumahq/kuma/pull/3265)
  👍contributed by @Juneezee
* fix: validate newly generated xDS snapshots [#3195](https://github.com//kumahq/kuma/pull/3195)
* chore: bump k8s.io/apiextensions-apiserver from 0.22.3 to 0.22.4 [#3218](https://github.com//kumahq/kuma/pull/3218)
* chore: bump helm chart version to 0.8 [#3202](https://github.com//kumahq/kuma/pull/3202)

## [1.4.0]
> Released on 2021/11/19

* chore(*) scripts for build, publish and fetch Envoy binaries [#3110](https://github.com//kumahq/kuma/pull/3110) [#3182](https://github.com//kumahq/kuma/pull/3182)
* chore(kuma-cp) upgrade gui to new version [#3178](https://github.com//kumahq/kuma/pull/3178) [#3179](https://github.com//kumahq/kuma/pull/3179)
* chore(kuma-cp) Use go structs instead of gotemplate for bootstrap [#3156](https://github.com//kumahq/kuma/pull/3156) [#3173](https://github.com//kumahq/kuma/pull/3173)
* chore(deps): bump github.com/slok/go-http-metrics from 0.9.0 to 0.10.0 [#3170](https://github.com//kumahq/kuma/pull/3170)
* Disable reporting by default [#3070](https://github.com//kumahq/kuma/pull/3070) [#3159](https://github.com//kumahq/kuma/pull/3159)
* chore(kumactl) remove install CRDs filter function [#3139](https://github.com//kumahq/kuma/pull/3139)
* feat(kuma-dp) Add conf to disable service vip [#3143](https://github.com//kumahq/kuma/pull/3143)
* chore(kuma-cp) update some TODO comments [#3141](https://github.com//kumahq/kuma/pull/3141)
* feat(kuma-cp) Add kuma.io/ignore annotation [#3142](https://github.com//kumahq/kuma/pull/3142)
* fix(kuma-dp) match gateway cluster names in the hijacker [#3106](https://github.com//kumahq/kuma/pull/3106)
* feat: add ECDSA certificate generator support [#3093](https://github.com//kumahq/kuma/pull/3093)
* feat: add more global resources to GlobalInsights [#3094](https://github.com//kumahq/kuma/pull/3094)
* feat: allow creating secrets for the not yet existing mesh [#3076](https://github.com//kumahq/kuma/pull/3076)
  👍contributed by cloudwiz
* feat: don't add v6 in DNS when v6 is disabled [#3089](https://github.com//kumahq/kuma/pull/3089)
* fix: explicitly disable dns in env when disabled in injector [#3077](https://github.com//kumahq/kuma/pull/3077)
* feat: added support for https tracing endpoint [#3057](https://github.com//kumahq/kuma/pull/3057)
  👍contributed by sudeeptoroy
* fix: normalize generating TLS certificates [#3027](https://github.com//kumahq/kuma/pull/3027)
* fix: zero downtime when enabling permissive mTLS [#3019](https://github.com//kumahq/kuma/pull/3019)
* feat: add deprecation notice for kuma-prometheus-sd [#2994](https://github.com//kumahq/kuma/pull/2994)
* feat: add GlobalInsights api endpoint [#3018](https://github.com//kumahq/kuma/pull/3018)
* fix: duplicate TLS certificate usage [#3008](https://github.com//kumahq/kuma/pull/3008)
* chore: add command argument count parameters [#3010](https://github.com//kumahq/kuma/pull/3010)
* feat: aggregate dp stats by type in MeshInsight [#2999](https://github.com//kumahq/kuma/pull/2999)
* chore: delete CLI flag '--bootstrap-version' [#2965](https://github.com//kumahq/kuma/pull/2965)
* feat: show the effective Dataplane address [#2977](https://github.com//kumahq/kuma/pull/2977)
* feat: aggregate services in MeshInsight [#2974](https://github.com//kumahq/kuma/pull/2974)
* fix: allow only one healthcheck [#2972](https://github.com//kumahq/kuma/pull/2972)
* feat: give CA managers all backends at once [#2956](https://github.com//kumahq/kuma/pull/2956)
* chore: normalize timeout configurer API [#2934](https://github.com//kumahq/kuma/pull/2934)
* fix: locality-aware lb for external-services [#2903](https://github.com//kumahq/kuma/pull/2903)
* feat: add install control-plane --version flag for all components [#2904](https://github.com//kumahq/kuma/pull/2904)
* feat: add zone selector to Kuma Mesh dashboard [#2860](https://github.com//kumahq/kuma/pull/2860)
* fix: possible to delete resources on Zone CP [#2665](https://github.com//kumahq/kuma/pull/2665)
* fix: make cluster names contextually unique [#3098](https://github.com//kumahq/kuma/pull/3098)
* feat: automatically enable gzip content on gateways [#3104](https://github.com//kumahq/kuma/pull/3104)
* feat: add Gateway TLS termination support [#3044](https://github.com//kumahq/kuma/pull/3044)
* feat: add gateway support for external services [#2990](https://github.com//kumahq/kuma/pull/2990)
* fix: enable secrets support for Gateway resources [#2953](https://github.com//kumahq/kuma/pull/2953)
* feat: initial connection policy support for Gateway [#2933](https://github.com//kumahq/kuma/pull/2933)
* feat: add access to generate zone ingress token [#3075](https://github.com//kumahq/kuma/pull/3075)
* feat: user token with RSA256 [#2992](https://github.com//kumahq/kuma/pull/2992)
* feat: prefix system users and groups with mesh-system [#3013](https://github.com//kumahq/kuma/pull/3013)
* feat: localhost is not an admin on kubernetes [#3003](https://github.com//kumahq/kuma/pull/3003)
* feat: user token enabled by default [#2941](https://github.com//kumahq/kuma/pull/2941)
* feat: Admin User Token bootstrap [#2923](https://github.com//kumahq/kuma/pull/2923)
* chore: refactor access control for individual access [#2983](https://github.com//kumahq/kuma/pull/2983)
* feat: support plugin based authentication including user tokens [#2895](https://github.com//kumahq/kuma/pull/2895)
* feat: User Token for API Server authentication [#2892](https://github.com//kumahq/kuma/pull/2892)
* chore: refactor authz and authn to plugins [#2837](https://github.com//kumahq/kuma/pull/2837)
* chore(kuma-cp) upgrade gui to new version [#3148](https://github.com//kumahq/kuma/pull/3148)
* chore(*) upgrade to Go 1.17.3 [#3147](https://github.com//kumahq/kuma/pull/3147)
* chore(deps): bump github.com/operator-framework/operator-lib [#3158](https://github.com//kumahq/kuma/pull/3158)
* chore(deps): bump github.com/gruntwork-io/terratest [#3130](https://github.com//kumahq/kuma/pull/3130)
* chore: update helm and controller-runtime [#2764](https://github.com//kumahq/kuma/pull/2764)
* chore: bump github.com/lib/pq from 1.10.3 to 1.10.4 [#3131](https://github.com//kumahq/kuma/pull/3131)
* chore: bump google.golang.org/grpc from 1.41.0 to 1.42.0 [#3101](https://github.com//kumahq/kuma/pull/3101)
* chore: bump github.com/prometheus/common from 0.31.1 to 0.32.1 [#3006](https://github.com//kumahq/kuma/pull/3006)
* chore: bump github.com/envoyproxy/protoc-gen-validate [#3007](https://github.com//kumahq/kuma/pull/3007)
* chore: bump github.com/google/uuid from 1.2.0 to 1.3.0 [#2839](https://github.com//kumahq/kuma/pull/2839)
* chore: bump sigs.k8s.io/controller-runtime from 0.10.2 to 0.10.3 [#3132](https://github.com//kumahq/kuma/pull/3132)
* chore: bump k8s.io/client-go from 0.22.2 to 0.22.3 [#3061](https://github.com//kumahq/kuma/pull/3061)
* chore: bump k8s.io/apiextensions-apiserver from 0.22.2 to 0.22.3 [#3059](https://github.com//kumahq/kuma/pull/3059)
* chore: bump k8s.io/api from 0.22.2 to 0.22.3 [#3058](https://github.com//kumahq/kuma/pull/3058)
* chore: bump github.com/golang-migrate/migrate/v4 [#2970](https://github.com//kumahq/kuma/pull/2970)
* chore: bump helm.sh/helm/v3 from 3.6.1 to 3.7.1 [#2968](https://github.com//kumahq/kuma/pull/2968)
* chore: bump github.com/miekg/dns from 1.0.14 to 1.1.43 in /pkg/transparentproxy/istio [#2752](https://github.com//kumahq/kuma/pull/2752)

## [1.3.1]
> Released on 2021/10/06

* fix: disable zone [#2884](https://github.com//kumahq/kuma/pull/2884)
* fix: limit number of postgres connection by default [#2866](https://github.com//kumahq/kuma/pull/2866)
* feat: add zone selector to Kuma Service to Service dashboard [#2876](https://github.com//kumahq/kuma/pull/2876)
* feat: add zone selector to Kuma Service dashboard [#2865](https://github.com//kumahq/kuma/pull/2865)
* feat: add zone selector to Kuma Dataplane dashboard [#2864](https://github.com//kumahq/kuma/pull/2864)
* fix: fix duplicates in dataplane list in Kuma Services dashboard [#2845](https://github.com//kumahq/kuma/pull/2845)
* chore: migrate install resources from rbac API v1beta1 to v1 [#2875](https://github.com//kumahq/kuma/pull/2875)
* fix: fault injection matching [#2757](https://github.com//kumahq/kuma/pull/2757)
* fix: delete kuma.io/region and kuma.io/sub-zone [#2824](https://github.com//kumahq/kuma/pull/2824)
* feat: print control plane version with version cmd [#2834](https://github.com//kumahq/kuma/pull/2834)
* fix: Only warn about version compatibility where it makes sense [#2828](https://github.com//kumahq/kuma/pull/2828)
* perf: remove insight update rate limit burst [#2825](https://github.com//kumahq/kuma/pull/2825)
* perf: apply ratelimit to service insights [#2815](https://github.com//kumahq/kuma/pull/2815)
* feat: adds support for specifying specific IP for cloud provider load balancers for ingress service [#2779](https://github.com//kumahq/kuma/pull/2779)
  👍contributed by @jamesdbloom
* fix: send tool output to stdout [#2787](https://github.com//kumahq/kuma/pull/2787)
* fix: switch to a Kuma fork of go-control-plane [#2771](https://github.com//kumahq/kuma/pull/2771)
* chore: parametrize label on the deployment [#2765](https://github.com//kumahq/kuma/pull/2765)
* perf: set Node only on first DiscoveryRequest [#2741](https://github.com//kumahq/kuma/pull/2741)
* feat: verify ServiceAccountToken bound to a Pod [#2745](https://github.com//kumahq/kuma/pull/2745)
* feat: internal dns should resolve AAAA records [#2760](https://github.com//kumahq/kuma/pull/2760)
* fix: Add FORMERR and NOTIMP in alternate default coredns conf [#2756](https://github.com//kumahq/kuma/pull/2756)
* fix: virtual probes with query [#2706](https://github.com//kumahq/kuma/pull/2706)
* fix: Avoid calling `Send()` from different goroutines [#2573](https://github.com//kumahq/kuma/pull/2573)
* feat: automatically set proxy concurrency [#2691](https://github.com//kumahq/kuma/pull/2691)
* feat: Improve builtin grafana setup to have traces and logs linked [#2716](https://github.com//kumahq/kuma/pull/2716)
* fix: Show gateway services in service-insights [#2711](https://github.com//kumahq/kuma/pull/2711)
* fix: Correct bad merging of duration [#2700](https://github.com//kumahq/kuma/pull/2700)
* fix: Ensure outbounds are set when migrating from old to new [#2698](https://github.com//kumahq/kuma/pull/2698)
* fix: get rid of regex for parsing IPs [#2681](https://github.com//kumahq/kuma/pull/2681)
* feat: add CP config to ZoneInsights [#2661](https://github.com//kumahq/kuma/pull/2661)
* feat: generate GatewayRoute clusters [#2819](https://github.com//kumahq/kuma/pull/2819)
* feat: add GatewayRoute route generation [#2782](https://github.com//kumahq/kuma/pull/2782)
* feat: match gateway routes [#2758](https://github.com//kumahq/kuma/pull/2758)
* feat: initial gateway TrafficRoute support [#2547](https://github.com//kumahq/kuma/pull/2547)
* feat: add a GatewayRoute resource [#2591](https://github.com//kumahq/kuma/pull/2591)
* chore: update base image for kuma-dp [#2881](https://github.com//kumahq/kuma/pull/2881)
* chore: change Go JWT version to fix  security vunerability [#2844](https://github.com//kumahq/kuma/pull/2844)
* chore: bump go.uber.org/zap from 1.17.0 to 1.19.1 [#2768](https://github.com//kumahq/kuma/pull/2768)
* chore: bump google.golang.org/grpc from 1.38.0 to 1.40.0 [#2737](https://github.com//kumahq/kuma/pull/2737)
* chore: bump github.com/miekg/dns from 1.1.42 to 1.1.43 [#2769](https://github.com//kumahq/kuma/pull/2769)
* chore: upgrade github.com/spf13/cobra [#2732](https://github.com//kumahq/kuma/pull/2732)
* chore: bump alpine in /tools/releases/dockerfiles [#2705](https://github.com//kumahq/kuma/pull/2705)
* chore: bump github.com/onsi/gomega from 1.13.0 to 1.16.0 [#2657](https://github.com//kumahq/kuma/pull/2657)
* chore: update envoy to 1.18.4 [#2667](https://github.com//kumahq/kuma/pull/2667)


## [1.3.0]
> Released on 2021/08/24

* feat: remove provided ca cert validation [#2663](https://github.com/kumahq/kuma/pull/2663)
 👍contributed by Nikita Pande (@nikita15p)
* feat: Use kuma-sd in kumactl install metrics [#2654](https://github.com/kumahq/kuma/pull/2654)
* feat: Add new datasource to kumactl install metrics [#2640](https://github.com/kumahq/kuma/pull/2640)
* fix: remove extra endline in traffic log default template [#2514](https://github.com//kumahq/kuma/pull/2514)
* fix: TLSInspector is causing tcp healthcheck failures [#2639](https://github.com//kumahq/kuma/pull/2639)
* feat: Add rate-limit to outbound interfaces [#2435](https://github.com//kumahq/kuma/pull/2435)
* fix: print a newline with transparent proxy setup message [#2634](https://github.com//kumahq/kuma/pull/2634)
* chore: bump alpine in /tools/releases/dockerfiles [#2531](https://github.com//kumahq/kuma/pull/2531)
* chore: annotate required fields in proto files [#2556](https://github.com//kumahq/kuma/pull/2556)
* chore: remove MADS v1alpha1 [#2632](https://github.com//kumahq/kuma/pull/2632)
* chore: parametrize kuma tracing in ZipkinCollectorURL [#2635](https://github.com//kumahq/kuma/pull/2635)
* chore: Add the number of services to usage stats [#2628](https://github.com//kumahq/kuma/pull/2628)
* feat: Add the permissive mTLS mode [#2579](https://github.com//kumahq/kuma/pull/2579)
* chore: open CAProvider and MeshValidator for extensions [#2618](https://github.com//kumahq/kuma/pull/2618)
* feat: Add entity for virtual-outbound [#2576](https://github.com//kumahq/kuma/pull/2576)
* fix: Don't set zap.Development() in debug log [#2608](https://github.com//kumahq/kuma/pull/2608)
* chore(kuma-cp) upgrade gui to new version [#2611](https://github.com//kumahq/kuma/pull/2611), [#2452](https://github.com//kumahq/kuma/pull/2452), [#2554](https://github.com//kumahq/kuma/pull/2554), [#2528](https://github.com//kumahq/kuma/pull/2528), [#2497](https://github.com//kumahq/kuma/pull/2497), [#2490](https://github.com//kumahq/kuma/pull/2490), [#2481](https://github.com//kumahq/kuma/pull/2481)
* feat: Build kuma on Windows [#2597](https://github.com//kumahq/kuma/pull/2597), [#2606](https://github.com//kumahq/kuma/pull/2606), [#2559](https://github.com//kumahq/kuma/pull/2559)
* feat: Add CA backend stats in Dataplane and Mesh Insights [#2562](https://github.com//kumahq/kuma/pull/2562)
* fix: missing key for kv in reports logging [#2598](https://github.com//kumahq/kuma/pull/2598)
* chore: split listener configurers across source files [#2592](https://github.com//kumahq/kuma/pull/2592)
* feat: add simple HTTP connection configurers [#2593](https://github.com//kumahq/kuma/pull/2593)
* feat: add virtual host domain name configurer [#2590](https://github.com//kumahq/kuma/pull/2590)
* feat: return instance and cluster IDs in kuma-cp API statuses [#2589](https://github.com//kumahq/kuma/pull/2589)
* tests: allow kuma-specific const to be overridden [#2582](https://github.com//kumahq/kuma/pull/2582)
* feat: Intermediate CA support [#2575](https://github.com//kumahq/kuma/pull/2575)
* fix: Avoid nil dereferencing in dp validator [#2578](https://github.com//kumahq/kuma/pull/2578)
* chore: consistently use utils package for protobuf wrappers [#2570](https://github.com//kumahq/kuma/pull/2570)
* fix: subscription finalizer, rev 2 [#2526](https://github.com//kumahq/kuma/pull/2526)
* tests: fix flaky test for locality aware loadbalancing [#2564](https://github.com//kumahq/kuma/pull/2564)
* fix: DP tracking lock consistency fix [#2567](https://github.com//kumahq/kuma/pull/2567)
* chore: Certificates over ADS [#2558](https://github.com//kumahq/kuma/pull/2558)
* chore: migrate DiscoveryRequest/Response in KDS to V3 [#2541](https://github.com//kumahq/kuma/pull/2541)
* feat: Rewrite dns persistence to allow virtual-outbound to be added [#2484](https://github.com//kumahq/kuma/pull/2484)
* fix: deleted default policy is created on Kuma CP restart [#2507](https://github.com//kumahq/kuma/pull/2507)
* chore: Move kumactl logging arguments to where they can be parameterized [#2544](https://github.com//kumahq/kuma/pull/2544)
* chore: add route and virtual host configuration helpers [#2517](https://github.com//kumahq/kuma/pull/2517)
* chore: fix kumactl generate dataplane proxy-type flag deprecation message [#2522](https://github.com//kumahq/kuma/pull/2522)
 👍contributed by Tharun Rajendran
* chore: Simplify resource-gen.go by generating `ResourceDescriptor` [#2511](https://github.com//kumahq/kuma/pull/2511)
* chore: Replace netcat with test server [#2510](https://github.com//kumahq/kuma/pull/2510)
* feat: configure SNI on ExternalService [#2467](https://github.com//kumahq/kuma/pull/2467)
* chore: add importas to golangci-lint [#2516](https://github.com//kumahq/kuma/pull/2516)
 👍contributed by Tharun Rajendran
* chore: add to resource-gen.go generation of kds options [#2487](https://github.com//kumahq/kuma/pull/2487)
* chore: add to resource-gen.go generation of kumactl options  [#2469](https://github.com//kumahq/kuma/pull/2469)
* fix: add owner when create ZoneIngressInsight [#2456](https://github.com//kumahq/kuma/pull/2456)
* fix: hijacker merge labels [#2476](https://github.com//kumahq/kuma/pull/2476)
* chore: improve resource-gen by auto generating ws code [#2466](https://github.com//kumahq/kuma/pull/2466)
* fix: clarify invalid resource type message [#2473](https://github.com//kumahq/kuma/pull/2473)
* fix: implement TextMarshaler for JSON keys [#2475](https://github.com//kumahq/kuma/pull/2475)
* chore: simplify resourceWsDefinition and server init [#2477](https://github.com//kumahq/kuma/pull/2477)
* fix: Stop adding outbounds to dp for vips [#2421](https://github.com//kumahq/kuma/pull/2421)
* chore(*) make port validation consistent [#2448](https://github.com//kumahq/kuma/pull/2448)

## [1.2.3]
> Released on 2021/07/29

* fix(kumactl) warn about fail to check the CP version [#2438](https://github.com//kumahq/kuma/pull/2438)
* fix(kuma-cp) handle missing connection info [#2439](https://github.com//kumahq/kuma/pull/2439)
* chore(xds) rename logger to have consistent naming style [#2375](https://github.com//kumahq/kuma/pull/2375)
  👍contributed by burntcarrot
* fix(kuma-cp) set better keep-alive for bootstrap [#2432](https://github.com//kumahq/kuma/pull/2432)
* fix(kuma-dp) validate the DP proxy type [#2186](https://github.com//kumahq/kuma/pull/2186)
* fix(kuma-cp) use the typed config for TLS Inspector [#2373](https://github.com//kumahq/kuma/pull/2373)

## [1.2.2]
> Released on 2021/07/16

* feat: add datadog traffic tracing [#2269](https://github.com//kumahq/kuma/pull/2247)
* refactor: add kumactl install tracing context [#2343](https://github.com//kumahq/kuma/pull/2343)
* chore: improve kumactl install transparent-proxy flags description, add extra validation [#2352](https://github.com//kumahq/kuma/pull/2352)
* fix: broken SDS auth and XDS generation on rapid DP restarts [#2342](https://github.com//kumahq/kuma/pull/2342)
* fix: allow verbose log levels [#2351](https://github.com//kumahq/kuma/pull/2351)
* chore: use resource types for DataplaneInsight tracking [#2324](https://github.com//kumahq/kuma/pull/2324)
* chore: improve resource manager initialization readability [#2316](https://github.com//kumahq/kuma/pull/2316)
* chore: upgrade gui to new version [#2340](https://github.com//kumahq/kuma/pull/2340), [#2325](https://github.com//kumahq/kuma/pull/2325), [#2315](https://github.com//kumahq/kuma/pull/2315)
* fix: allocate a new VIP for ExternalService host [#2302](https://github.com//kumahq/kuma/pull/2302)
* fix: stop components on leader election lost [#2318](https://github.com//kumahq/kuma/pull/2318)
* chore: generate system resource wrappers [#2282](https://github.com//kumahq/kuma/pull/2282), [#2311](https://github.com//kumahq/kuma/pull/2311)
* chore: remove access log V2 [#2301](https://github.com//kumahq/kuma/pull/2301)
* chore: generate DeepCopy interfaces [#2222](https://github.com//kumahq/kuma/pull/2222)
* chore: disable log sampling [#2273](https://github.com//kumahq/kuma/pull/2273)
* chore: upgrade Protocol Buffers [#2244](https://github.com//kumahq/kuma/pull/2244)
* chore: change default number of insights subscriptions [#2266](https://github.com//kumahq/kuma/pull/2266)
* chore: make the authentication interface type oblivious [#2271](https://github.com//kumahq/kuma/pull/2271)
* fix: fix hds disabled on dpserver [#2268](https://github.com//kumahq/kuma/pull/2268)
 👍contributed by Bastien Chatelard
* chore: refactor xDS metadata to store a generic resource [#2264](https://github.com//kumahq/kuma/pull/2264)
* feat: change KDS max message limit [#2265](https://github.com//kumahq/kuma/pull/2265)

## [1.2.1]
> Released on 2021/06/30

* fix: Dataplane/ZoneIngress/Zone status problem when control plane forcefully exits [#2246](https://github.com//kumahq/kuma/pull/2246)
* chore: reduce memory usage by reducing cache key size [#2214](https://github.com//kumahq/kuma/pull/2214) [#2230](https://github.com//kumahq/kuma/pull/2230) 
  👍contributed by nhamlh
* fix: ZoneIngress always shows up as 'offline' [#2209](https://github.com//kumahq/kuma/pull/2209)
* feat: dataplane use advertise address to add a routable ip if address is not public ip [#2116](https://github.com//kumahq/kuma/pull/2116)
  👍contributed by sudeeptoroy
* fix: builtin DNS resolve alias with dots [#2208](https://github.com//kumahq/kuma/pull/2208)
* feat: add SNI to TLSed ExternalServices [#2211](https://github.com//kumahq/kuma/pull/2211)
* fix: fix race condition in cache [#2202](https://github.com//kumahq/kuma/pull/2202)
  👍contributed by nhamlh
* fix: supported versions of Kuma DP in the GUI [#2193](https://github.com//kumahq/kuma/pull/2193)

## [1.2.0]
> Released on 2021/06/17

* feat: Introduce ZoneIngress [#2147](https://github.com//kumahq/kuma/pull/2147) [#2169](https://github.com//kumahq/kuma/pull/2169)
* feat: enable dataplane dns by default [#2152](https://github.com//kumahq/kuma/pull/2152)
* feat: add --verbose flag to kuma-init [#2156](https://github.com//kumahq/kuma/pull/2156)
* feat: log rotation [#2100](https://github.com//kumahq/kuma/pull/2100)
  👍contributed by @nikita15p
* feat: mads, allow specifying fetch-timeout via query param [#2148](https://github.com//kumahq/kuma/pull/2148)
  👍contributed by @austince
* feat: mads, add support for HTTP long polling [#2121](https://github.com//kumahq/kuma/pull/2121)
  👍contributed by @austince
* feat(mads) implement v1 API [#1753](https://github.com//kumahq/kuma/pull/1753)
  👍contributed by @austince
* feat: add RateLimit policy [#2083](https://github.com//kumahq/kuma/pull/2083)
* feat: TrafficRoute L7  [#2013](https://github.com//kumahq/kuma/pull/2013)
  [#2042](https://github.com//kumahq/kuma/pull/2042) [#2062](https://github.com//kumahq/kuma/pull/2062)
  [#2072](https://github.com//kumahq/kuma/pull/2072) [#2168](https://github.com//kumahq/kuma/pull/2168)

* feat: allow renegotiation for TLS in ExternalServices [#2135](https://github.com//kumahq/kuma/pull/2135)
* feat: pass header when communicating with CP [#2049](https://github.com//kumahq/kuma/pull/2049)
  👍contributed by sudeeptoroy
* feat: change default traffic route policy [#2075](https://github.com//kumahq/kuma/pull/2075)
* feat: command to install kong enterprise ingress [#1999](https://github.com//kumahq/kuma/pull/1999)
* feat: add postgres max idle connections configuration [#2020](https://github.com//kumahq/kuma/pull/2020)
  👍contributed by @nikita15p
* feat: add kumactl --no-config flag [#2048](https://github.com//kumahq/kuma/pull/2048)
* feat: nodeselector across all pods with HELM [#2012](https://github.com//kumahq/kuma/pull/2012)
* feat: enable forwarding XFCC header [#1941](https://github.com//kumahq/kuma/pull/1941)
  👍contributed by @jewertow
* feat: TrafficPermission for ExternalServices [#1957](https://github.com//kumahq/kuma/pull/1957)
* feat: metrics hijacker [#1899](https://github.com//kumahq/kuma/pull/1899)
* feat: extend CircuitBreaker [#1655](https://github.com//kumahq/kuma/pull/1655)
* chore: remove API V2 [#2119](https://github.com//kumahq/kuma/pull/2119)
* chore: bump webhooks version [#2126](https://github.com//kumahq/kuma/pull/2126)
* chore: drop deprecated Envoy options [#2143](https://github.com//kumahq/kuma/pull/2143)
* chore: dockerfiles, add a user for kuma-cp [#2129](https://github.com//kumahq/kuma/pull/2129)
* chore: bump cni version to 0.0.9 [#2137](https://github.com//kumahq/kuma/pull/2137)
* chore: rename remote cp to zone cp [#2125](https://github.com//kumahq/kuma/pull/2125)
* chore: bump versions of logging, metrics, tracing [#2178](https://github.com//kumahq/kuma/pull/2178)
* chore: parametrize bitnami/kubectl [#2151](https://github.com//kumahq/kuma/pull/2151)
* chore: backwards compatible metrics [#2173](https://github.com//kumahq/kuma/pull/2173)
* chore: upgrade Envoy version to 1.18.3 [#2145](https://github.com//kumahq/kuma/pull/2145)
* chore updated go-control-plane [#2082](https://github.com//kumahq/kuma/pull/2082)
  👍contributed by @sudeeptoroy
* chore: fix misspelled words [#1984](https://github.com//kumahq/kuma/pull/1984)
  👍contributed by @tharun208
* chore: upgrade GUI [#2157](https://github.com//kumahq/kuma/pull/2157)
* chore namespace source names for v1 API [#1896](https://github.com//kumahq/kuma/pull/1896)
  👍contributed by @austince
* chore: use cmux for MADS server [#1887](https://github.com//kumahq/kuma/pull/1887)
* chore: Add internal support for outbound UDP listeners [#1618](https://github.com//kumahq/kuma/pull/1618)
  👍contributed by @lahabana
* chore: Avoid generating duplicate subsets in ingress
  👍contributed by @lahabana
* chore: upgrade to apiextensions.k8s.io/v1 [#1108](https://github.com//kumahq/kuma/pull/1108)
  👍contributed by @austince
* fix: Clear snapshots from cache on disconnect [#2172](https://github.com//kumahq/kuma/pull/2172)
  👍contributed by @lahabana
* fix: use service account name to identify sync [#2127](https://github.com//kumahq/kuma/pull/2127)
* fix: raise the regex program size limit [#2139](https://github.com//kumahq/kuma/pull/2139)
* fix: pass query parameters through the metrics hijacker [#2124](https://github.com//kumahq/kuma/pull/2124)
* fix: matching endpoints by tags [#2096](https://github.com//kumahq/kuma/pull/2096)
* fix: manage and warn on control plane file limits [#2057](https://github.com//kumahq/kuma/pull/2057) [#2106](https://github.com//kumahq/kuma/pull/2106)
* fix: fix transparent-proxy for GCP/GKE [#2051](https://github.com//kumahq/kuma/pull/2051)
* fix: set death signal on child processes [#2045](https://github.com//kumahq/kuma/pull/2045)
* fix: TrafficRoute in multizone issue [#1979](https://github.com//kumahq/kuma/pull/1979)

## [1.1.6]
> Released on 2021/05/13

* feat: expose reuse_connection in healthchecks [#1952](https://github.com//kumahq/kuma/pull/1952)
* feat: allow tcp/http healthchecks together [#1951](https://github.com//kumahq/kuma/pull/1951)
* feat: kumactl option to install gateway types [#1950](https://github.com//kumahq/kuma/pull/1950)
* feat: kumactl option to install kuma demo app [#1932](https://github.com//kumahq/kuma/pull/1932)
* feat: kumactl option to install Kong ingress [#1929](https://github.com//kumahq/kuma/pull/1929)
* feat: support all tags in traffic permission [#1902](https://github.com//kumahq/kuma/pull/1902)
* fix: gateway status was always reporting offline [#1946](https://github.com//kumahq/kuma/pull/1946)
* fix: don't cache failed calls [#1894](https://github.com//kumahq/kuma/pull/1894)
  👍contributed by @lahabana
* chore: add hostname when sending traces to the collector [#1962](https://github.com//kumahq/kuma/pull/1962)
* docs: prepare api docs generation [#1741](https://github.com//kumahq/kuma/pull/1741)
* test: azure aks and e2e improvements for the CI [#1880](https://github.com//kumahq/kuma/pull/1880)
  [#1871](https://github.com//kumahq/kuma/pull/1871)
  [#1933](https://github.com//kumahq/kuma/pull/1933)
  [#1953](https://github.com//kumahq/kuma/pull/1953)
  [#1972](https://github.com//kumahq/kuma/pull/1972)

## [1.1.5]
> Released on 2021/04/29

* feat: generate outbounds for itself [#1900](https://github.com//kumahq/kuma/pull/1900)
* chore: migrate from bintray [#1901](https://github.com//kumahq/kuma/pull/1901)
* chore: GUI updates and fixes [#1897](https://github.com//kumahq/kuma/pull/1897)
* chore: kumactl check version after loading config [#1879](https://github.com/kumahq/kuma/pull/1879)
* chore: transparent proxy improvements [#1852](https://github.com//kumahq/kuma/pull/1852)
* chore upgrade Go to 16.3 and use go embed [#1864](https://github.com//kumahq/kuma/pull/1864) [#1865](https://github.com//kumahq/kuma/pull/1865)
* fix: always set locality in multizone [#1863](https://github.com//kumahq/kuma/pull/1863)
* fix: Envoy config is created based on old Dataplane [#1848](https://github.com//kumahq/kuma/pull/1848)


## [1.1.4]
> Released on 2021/04/19

* chore: force all DNS traffic capture [#1842](https://github.com//kumahq/kuma/pull/1842)

## [1.1.3]
> Released on 2021/04/16

* feat: support External Services with original hostname and port (built-in DNS) 
  [#1807](https://github.com//kumahq/kuma/pull/1807) [#1811](https://github.com//kumahq/kuma/pull/1811) [#1817](https://github.com//kumahq/kuma/pull/1817) [#1812](https://github.com//kumahq/kuma/pull/1812) [#1821](https://github.com//kumahq/kuma/pull/1821) [#1824](https://github.com//kumahq/kuma/pull/1824) [#1828](https://github.com//kumahq/kuma/pull/1828) [#1822](https://github.com//kumahq/kuma/pull/1822)
* fix: pass validation of V3 specific configs in ProxyTemplate [#1819](https://github.com//kumahq/kuma/pull/1819)
* chore: support ingress annotations (kuma.io/ingress-public-address and kuma.io/ingress-public-port) in HELM [#1796](https://github.com//kumahq/kuma/pull/1796)


## [1.1.2]
> Released on 2021/04/09

* feat: extend CircuitBreaker policy with Thresholds [#1688](https://github.com//kumahq/kuma/pull/1688)
* feat: enable IPv6 support and tests [#1726](https://github.com//kumahq/kuma/pull/1726) [#1734](https://github.com//kumahq/kuma/pull/1734)
* feat: unuversal mode transparent-proxy firewalld support [#1702](https://github.com//kumahq/kuma/pull/1702)
* feat: new Grafana charts for golden signals and L7 metrics [#1739](https://github.com//kumahq/kuma/pull/1739) [#1786](https://github.com//kumahq/kuma/pull/1786)
* chore: verify e2e tests run in EKS [#1684](https://github.com//kumahq/kuma/pull/1684)  [#1685](https://github.com//kumahq/kuma/pull/1685) [#1744](https://github.com//kumahq/kuma/pull/1744)
* chore: upgrade CRDS to apiextensions.k8s.io/v1 [#1108](https://github.com//kumahq/kuma/pull/1108)
* fix: helm cp service annotations [#1767](https://github.com//kumahq/kuma/pull/1767)
  👍contributed by nbrink91
* fix: gui fixes [#1773](https://github.com//kumahq/kuma/pull/1773)
* fix: KDS may delete ConfigMaps on Control Plane restarts [#1769](https://github.com//kumahq/kuma/pull/1769)
* fix: Kuma CP restart may cause stale Envoy configs on Universal [#1749](https://github.com//kumahq/kuma/pull/1749)
* fix: use EnvoyGRPC to fix DNS resolving [#1740](https://github.com//kumahq/kuma/pull/1740)
* fix: fix ingress-enabled [#1725](https://github.com//kumahq/kuma/pull/1725)
* fix: pick HTTP health checker version depending on outbound's protocol [#1714](https://github.com//kumahq/kuma/pull/1714)
* fix: improve the DNS server bind message [#1701](https://github.com//kumahq/kuma/pull/1701)
* fix: validate --name and --mesh when dataplane is provided [#1771](https://github.com//kumahq/kuma/pull/1771)
* fix: better error messages when there is problem with pod dataplane convertion [#1743](https://github.com//kumahq/kuma/pull/1743)
* fix: crashes under load [#1694](https://github.com//kumahq/kuma/pull/1694) [#1695](https://github.com//kumahq/kuma/pull/1695)

## [1.1.1]
> Released on 2021/03/11

* fix: make sure we enumerate all types in kumactl [#1673](https://github.com//kumahq/kuma/pull/1673)
* fix: annnotate service with ingress that has no annotations [#1671](https://github.com//kumahq/kuma/pull/1671)
* fix: improve err message if $HOME is not defined [#1664](https://github.com//kumahq/kuma/pull/1664)
* feat: zipkin config add shared span context option [#1660](https://github.com//kumahq/kuma/pull/1660)
  👍contributed by @ericmustin
* feat: get rid of 'changed' check [#1663](https://github.com//kumahq/kuma/pull/1663)
